在Centos 6上安装php-mcrypt

我试图在我的Centos 6.0,64位,PHP 5.3.3上安装php-mcrypt。 我使用epel repo rpm -Uvh http://download.fedora.redhat.com/pub/epel/6/x86_64/epel-release-6-5.noarch.rpm ,最后一个。

但是,我运行yum install php-mcrypt我得到一个错误

  [root@CentOS-60-64-minimal ~]# yum install php-mcrypt Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: centos.kiewel-online.ch * epel: mirror.fraunhofer.de * extras: centos.kiewel-online.ch * rpmforge: ftp-stud.fht-esslingen.de * updates: centos.kiewel-online.ch Setting up Install Process Resolving Dependencies --> Running transaction check ---> Package php-mcrypt.x86_64 0:5.1.6-5.el5 will be installed --> Processing Dependency: php-api = 20041225 for package: php-mcrypt-5.1.6-5.el5.x86_64 --> Processing Dependency: libmcrypt.so.4()(64bit) for package: php-mcrypt-5.1.6-5.el5.x 86_64 --> Running transaction check ---> Package libmcrypt.x86_64 0:2.5.7-5.el5 will be installed ---> Package php-mcrypt.x86_64 0:5.1.6-5.el5 will be installed --> Processing Dependency: php-api = 20041225 for package: php-mcrypt-5.1.6-5.el5.x86_64 --> Finished Dependency Resolution **Error:** Package: php-mcrypt-5.1.6-5.el5.x86_64 (epel) **Requires: php-api = 20041225** Installed: php-common-5.3.3-3.el6_1.3.x86_64 (@updates) php-api = 20090626 Available: php-common-5.3.3-3.el6.x86_64 (base) php-api = 20090626 You could try using --skip-broken to work around the problem 

为什么埃佩尔不给我最后的encryption? php-mcrypt-5.1.6-5.el5.x86_64不是最新版本的回购…我能做什么?

  • 无法安装php5-mcrypt
  • 在Red Hat 4上安装PHP mcrypt
  • phpMyAdmin说mcrypt不见了,但事实并非如此。 无法login
  • 我怎么安装启用mcrypt而不重新安装php?
  • 如何在CentOS 5.7 64位上安装mcrypt for PHP 5.3.3?
  • 如何在RHEL5上安装mcrypt
  • 3 Solutions collect form web for “在Centos 6上安装php-mcrypt”

    软件包php-mcrypt.x86_64 0:5.1.6-5.el5将被安装

    注意el5 ,这意味着这个包是从EL5回购的。 确保epel-release-6-5.noarch.rpm已经安装成功:

     $ rpm -qa | grep epel epel-release-6-5.noarch 

    mirrorlist (在/etc/yum.repos.d/epel.repo )指向正确的path:

     [epel] name=Extra Packages for Enterprise Linux 6 - $basearch #baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-6&arch=$basearch failovermethod=priority enabled=1 gpgcheck=1 gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6 

    epel-6而不是epel-5

    如果有人在将来遇到这个问题,我做了这个:

    删除了以前的EPEL安装。 yum remove epel-release

    然后安装最新版本的CentOS 6。

    $ cd /tmp

    $ wget http://mirror-fpt-telecom.fpt.net/centos/6.6/extras/x86_64/Packages/epel-release-6-8.noarch.rpm

    $ rpm -ivh epel-release-6-8.noarch.rpm

    从那时起,我只是运行yum install php-mcrypt命令并安装好php-mcrypt。

    服务器问题集锦,包括 Linux(Ubuntu, Centos,Debian等)和Windows Server服务器.